<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.gnc.shouyun.list.GncShouYunViewModel" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/backgroud_gray"
            android:orientation="vertical">

            <include layout="@layout/title_tool_bar" />

            <LinearLayout
                shape_bg_color="@{@color/white}"
                shape_radius="@{8}"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginHorizontal="10dp"
                android:layout_marginTop="10dp"
                android:background="@color/white"
                android:gravity="center_vertical"
                android:paddingHorizontal="10dp">

                <ImageView
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:src="@drawable/search" />

                <EditText
                    setFocusChangedListener="@{viewModel::onCarChange}"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="请输入平板车"
                    android:paddingHorizontal="10dp"
                    android:text="@={viewModel.keyWord}"
                    android:textColorHint="@color/text_gray_l"
                    android:textSize="15sp" />

                <ImageView
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:onClick="@{()-> viewModel.scanClick()}"
                    android:src="@mipmap/scan_code" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:layout_marginTop="10dp"
                android:gravity="center_vertical">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@color/colorPrimary"
                        android:paddingHorizontal="20dp"
                        android:paddingVertical="4dp"
                        android:text='@{"数量 "+viewModel.count}'
                        android:textColor="@color/white"
                        tools:text="数量 0" />

                    <ImageView
                        android:layout_width="10dp"
                        android:layout_height="10dp"
                        android:layout_marginTop="-3dp"
                        android:scaleType="fitXY"
                        android:src="@drawable/img_daosanjiao" />

                </LinearLayout>

                <View
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_weight="1" />

                <!--<LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:onClick="@{()->viewModel.showSyncDialog()}">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="重新同步"
                        android:textColor="@color/red" />

                </LinearLayout>-->
                <View
                    android:layout_width="1dp"
                    android:layout_height="1dp" />
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:onClick="@{()->viewModel.onFilterClick()}">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="筛选"
                        android:textColor="@color/red" />

                    <ImageView
                        android:layout_width="25dp"
                        android:layout_height="25dp"
                        android:padding="4dp"
                        android:src="@drawable/img_shaixuan" />

                </LinearLayout>

            </LinearLayout>

            <com.scwang.smart.refresh.layout.SmartRefreshLayout
                android:id="@+id/srl"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv"
                    itemLayoutId="@{viewModel.itemLayoutId}"
                    viewHolder="@{viewModel.itemViewHolder}"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    tools:listitem="@layout/item_shou_yun_list" />



            </com.scwang.smart.refresh.layout.SmartRefreshLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="50dp"
                android:layout_gravity="end"
                android:layout_marginEnd="10dp"
                android:layout_marginRight="10dp"
                android:background="@color/colorPrimary"
                android:gravity="center"
                android:onClick="@{()->viewModel.showSyncDialog()}"
                android:paddingHorizontal="15dp"
                android:text="完成收运"
                android:textColor="@color/white"
                android:textSize="18sp" />

        </LinearLayout>


        <ImageView
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginRight="40dp"
            android:onClick="@{()-> viewModel.printClick()}"
            android:layout_marginBottom="60dp"
            android:background="@drawable/bg_white_circle"
            android:padding="10dp"
            android:src="@drawable/img_print_pda" />
        <!--<TextView
            android:layout_width="wrap_content"
            android:layout_height="50dp"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginRight="10dp"
            android:layout_marginEnd="10dp"
            android:layout_gravity="end"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:onClick="@{()->viewModel.showSyncDialog()}"
            android:paddingHorizontal="15dp"
            android:text="完成收运"
            android:textColor="@color/white"
            android:textSize="18sp"
            app:layout_constraintEnd_toEndOf="parent" />-->

    </RelativeLayout>


</layout>